Bug 1052023 - importing a package should never spit out huge stacktraces like these for optional stuff
importing a package should never spit out huge stacktraces like these for opt...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PyOpenGL (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 01:32 EST by Richard Allen
Modified: 2015-06-29 10:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 10:24:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2014-01-13 01:32:37 EST
Description of problem:
Stack traces generated where none are needed.

Version-Release number of selected component (if applicable):
PyOpenGL-3.0.2-1.fc20.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Install PyOpenGL and it's dependancies
2. run: python -c 'import logging; logging.basicConfig(); logging.root.setLevel(logging.INFO); import OpenGL; from OpenGL.GL import GL_VERSION, GL_EXTENSIONS;'

Actual results:
[ra@hamburger ~]$ python -c 'import logging; logging.basicConfig(); logging.root.setLevel(logging.INFO); import OpenGL; from OpenGL.GL import GL_VERSION, GL_EXTENSIONS;'
INFO:OpenGL.acceleratesupport:No OpenGL_accelerate module loaded: No module named OpenGL_accelerate
INFO:OpenGL.formathandler:Unable to load registered array format handler vbo:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/OpenGL/arrays/formathandler.py", line 35, in loadPlugin
    plugin_class = entrypoint.load()
  File "/usr/lib/python2.7/site-packages/OpenGL/plugins.py", line 14, in load
    return importByName( self.import_path )
  File "/usr/lib/python2.7/site-packages/OpenGL/plugins.py", line 28, in importByName
    module = __import__( ".".join(moduleName), {}, {}, moduleName)
  File "/usr/lib/python2.7/site-packages/OpenGL/arrays/vbo.py", line 33, in <module>
    from OpenGL import GL
ImportError: cannot import name GL

INFO:OpenGL.formathandler:Unable to load registered array format handler vbooffset:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/OpenGL/arrays/formathandler.py", line 35, in loadPlugin
    plugin_class = entrypoint.load()
  File "/usr/lib/python2.7/site-packages/OpenGL/plugins.py", line 14, in load
    return importByName( self.import_path )
  File "/usr/lib/python2.7/site-packages/OpenGL/plugins.py", line 28, in importByName
    module = __import__( ".".join(moduleName), {}, {}, moduleName)
  File "/usr/lib/python2.7/site-packages/OpenGL/arrays/vbo.py", line 33, in <module>
    from OpenGL import GL
ImportError: cannot import name GL


Expected results:
No stack trace


Additional info:
OpenGL_accelerate should be included as well.   See http://pyopengl.sourceforge.net/pydoc/OpenGL_accelerate.html
Comment 1 Fedora End Of Life 2015-05-29 06:28:15 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 10:24:05 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.